import 'dart:io';
import "package:body_parser_json/body_parser_json.dart";

main() async {
  var server = await HttpServer.bind(
    InternetAddress.loopbackIPv4,
    4040,
  );
  print('Listening on localhost:${server.port}');

  await for (HttpRequest req in server) {
    if (req.method == "POST") {
      if (req.uri.path == "/index") {
        var reposta = await BodyParser(req).Parser();
        req.response
          ..statusCode = HttpStatus.internalServerError
          ..write("Server ${reposta["nome"]}");
      } else {
        var reposta = await BodyParser(req).GetParser("nome");
        req.response
          ..statusCode = HttpStatus.internalServerError
          ..write("Server ${reposta}");
      }
    }
  }
}
