import 'dart:io' show HttpRequest;
import 'dart:convert' show Utf8Decoder;

class BodyParser {
  HttpRequest request;

  BodyParser(this.request);

  Future<Map<String, String>> Parser() async {
    var content = await this.request.transform(Utf8Decoder()).join();
    return Uri(query: content).queryParameters;
  }

  Future<String> GetParser(String prop) async {
    var content = await this.request.transform(Utf8Decoder()).join();
    var params = Uri(query: content).queryParameters;
    if (params.containsKey(prop))
      return params[prop];
    else
      return null;
  }
}
